Index: /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 7811)
@@ -34,5 +34,5 @@
 from zope.schema.vocabulary import SimpleVocabulary, SimpleTerm
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.sirp')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.kofa')
 
 CREATED = 'created'
@@ -50,5 +50,5 @@
         encoding='utf-8', mode='rb').read()
 
-def SimpleSIRPVocabulary(*terms):
+def SimpleKOFAVocabulary(*terms):
     """A well-buildt vocabulary provides terms with a value, token and
        title for each term
@@ -66,7 +66,7 @@
     return [('%s/%s' % (year,year+1), year) for year in year_range]
 
-academic_sessions_vocab = SimpleSIRPVocabulary(*academic_sessions())
-
-registration_states_vocab = SimpleSIRPVocabulary(
+academic_sessions_vocab = SimpleKOFAVocabulary(*academic_sessions())
+
+registration_states_vocab = SimpleKOFAVocabulary(
     (_('created'), CREATED),
     (_('admitted'), ADMITTED),
@@ -139,10 +139,10 @@
     def getValues(self):
         # late import: in interfaces we should not import local modules
-        from waeup.sirp.permissions import get_waeup_role_names
+        from waeup.kofa.permissions import get_waeup_role_names
         return get_waeup_role_names()
 
     def getTitle(self, value):
         # late import: in interfaces we should not import local modules
-        from waeup.sirp.permissions import get_all_roles
+        from waeup.kofa.permissions import get_all_roles
         roles = dict(get_all_roles())
         if value in roles.keys():
@@ -160,5 +160,5 @@
             # we have to 'try' because IConfiguration can only handle
             # interfaces from w.s.interface.
-            from waeup.sirp.browser.interfaces import ICaptchaManager
+            from waeup.kofa.browser.interfaces import ICaptchaManager
         except:
             return captchas
@@ -187,5 +187,5 @@
     """
 
-class ISIRPUtils(Interface):
+class IKOFAUtils(Interface):
     """A collection of methods which are subject to customization.
     """
@@ -222,21 +222,21 @@
         """
 
-class ISIRPObject(Interface):
-    """A SIRP object.
+class IKOFAObject(Interface):
+    """A KOFA object.
 
     This is merely a marker interface.
     """
 
-class IUniversity(ISIRPObject):
+class IUniversity(IKOFAObject):
     """Representation of a university.
     """
 
 
-class ISIRPContainer(ISIRPObject):
-    """A container for SIRP objects.
-    """
-
-class ISIRPContained(ISIRPObject):
-    """An item contained in an ISIRPContainer.
+class IKOFAContainer(IKOFAObject):
+    """A container for KOFA objects.
+    """
+
+class IKOFAContained(IKOFAObject):
+    """An item contained in an IKOFAContainer.
     """
 
@@ -267,5 +267,5 @@
         """
 
-class ISIRPExporter(Interface):
+class IKOFAExporter(Interface):
     """An exporter for objects.
     """
@@ -279,5 +279,5 @@
         """
 
-class ISIRPXMLExporter(Interface):
+class IKOFAXMLExporter(Interface):
     """An XML exporter for objects.
     """
@@ -291,5 +291,5 @@
         """
 
-class ISIRPXMLImporter(Interface):
+class IKOFAXMLImporter(Interface):
     """An XML import for objects.
     """
@@ -328,5 +328,5 @@
         """
 
-class IContactForm(ISIRPObject):
+class IContactForm(IKOFAObject):
     """A contact form.
     """
@@ -358,6 +358,6 @@
         required = True,)
 
-class ISIRPPrincipalInfo(IPrincipalInfo):
-    """Infos about principals that are users of SIRP SIRP.
+class IKOFAPrincipalInfo(IPrincipalInfo):
+    """Infos about principals that are users of KOFA KOFA.
     """
     email = Attribute("The email address of a user")
@@ -365,6 +365,6 @@
 
 
-class ISIRPPrincipal(IPrincipal):
-    """A principle for SIRP SIRP.
+class IKOFAPrincipal(IPrincipal):
+    """A principle for KOFA KOFA.
 
     This interface extends zope.security.interfaces.IPrincipal and
@@ -382,5 +382,5 @@
         required=False,)
 
-class IUserAccount(ISIRPObject):
+class IUserAccount(IKOFAObject):
     """A user account.
     """
@@ -425,5 +425,5 @@
 
 
-class IUsersContainer(ISIRPObject):
+class IUsersContainer(IKOFAObject):
     """A container for users (principals).
 
@@ -450,5 +450,5 @@
         """
 
-class IConfigurationContainer(ISIRPObject):
+class IConfigurationContainer(IKOFAObject):
     """A container for session configuration objects.
     """
@@ -462,5 +462,5 @@
     acronym = schema.TextLine(
         title = u'Abbreviated Title of University',
-        default = u'WAeUP.SIRP',
+        default = u'WAeUP.KOFA',
         required = True,
         )
@@ -469,5 +469,5 @@
         title = u'Skin',
         default = u'gray waeup theme',
-        vocabulary = 'waeup.sirp.browser.theming.ThemesVocabulary',
+        vocabulary = 'waeup.kofa.browser.theming.ThemesVocabulary',
         required = True,
         )
@@ -516,5 +516,5 @@
     email_subject = schema.TextLine(
         title = u'Subject of Email to Administrator',
-        default = u'SIRP Contact',
+        default = u'KOFA Contact',
         required = False,
         )
@@ -539,5 +539,5 @@
         )
 
-class ISessionConfiguration(ISIRPObject):
+class ISessionConfiguration(IKOFAObject):
     """A session configuration object.
     """
@@ -606,5 +606,5 @@
     'academic_session'].order
 
-class IDataCenter(ISIRPObject):
+class IDataCenter(IKOFAObject):
     """A data center.
 
@@ -669,13 +669,13 @@
         title = u'Longer description of the item found.')
 
-class ISIRPPluggable(Interface):
-    """A component that might be plugged into a SIRP SIRP app.
+class IKOFAPluggable(Interface):
+    """A component that might be plugged into a KOFA KOFA app.
 
     Components implementing this interface are referred to as
     'plugins'. They are normally called when a new
-    :class:`waeup.sirp.app.University` instance is created.
+    :class:`waeup.kofa.app.University` instance is created.
 
     Plugins can setup and update parts of the central site without the
-    site object (normally a :class:`waeup.sirp.app.University` object)
+    site object (normally a :class:`waeup.kofa.app.University` object)
     needing to know about that parts. The site simply collects all
     available plugins, calls them and the plugins care for their
@@ -730,5 +730,5 @@
     Utilities providing this interface are looked up when a Pluggable
     Authentication Utility (PAU) for any
-    :class:`waeup.sirp.app.University` instance is created and put
+    :class:`waeup.kofa.app.University` instance is created and put
     into ZODB.
 
@@ -807,5 +807,5 @@
         """
 
-class ISIRPWorkflowInfo(IWorkflowInfo):
+class IKOFAWorkflowInfo(IWorkflowInfo):
     """A :class:`hurry.workflow.workflow.WorkflowInfo` with additional
        methods for convenience.
@@ -820,5 +820,5 @@
 class ISiteLoggers(Interface):
 
-    loggers = Attribute("A list or generator of registered SIRPLoggers")
+    loggers = Attribute("A list or generator of registered KOFALoggers")
 
     def register(name, filename=None, site=None, **options):
@@ -841,5 +841,5 @@
 
     def __init__(name, filename=None, site=None, **options):
-        """Create a SIRP logger instance.
+        """Create a KOFA logger instance.
         """
 
@@ -973,5 +973,5 @@
 
         Returns a tuple ``(raw_file, path, file_like_obj)`` where the
-        ``file_like_obj`` should be a HurryFile, a SIRPImageFile or
+        ``file_like_obj`` should be a HurryFile, a KOFAImageFile or
         similar. ``raw_file`` is the (maybe changed) input file and
         ``path`` the relative internal path to store the file at.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/language.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/language.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/language.py	(revision 7811)
@@ -21,8 +21,8 @@
 from zope.publisher.interfaces.browser import IBrowserRequest
 from zope.i18n.interfaces import IUserPreferredLanguages
-from waeup.sirp.configuration import ConfigurationContainer
-from waeup.sirp.interfaces import ISIRPUtils
+from waeup.kofa.configuration import ConfigurationContainer
+from waeup.kofa.interfaces import IKOFAUtils
 
-class SIRPLanguage(grokcore.component.Adapter):
+class KOFALanguage(grokcore.component.Adapter):
     """Set preferred languages"""
     grokcore.component.context(IBrowserRequest)
@@ -30,5 +30,5 @@
 
     def getPreferredLanguages(self):
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
 
         # This an adapter for the request, so self.context is the request.
@@ -36,5 +36,5 @@
 
         # Extract the preferred language from a cookie:
-        lang = request.cookies.get('sirp.language', portal_language)
+        lang = request.cookies.get('kofa.language', portal_language)
 
         # According to IUserPreferredLanguages, we must return a list.
Index: /main/waeup.kofa/trunk/src/waeup/kofa/mail.zcml
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/mail.zcml	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/mail.zcml	(revision 7811)
@@ -29,5 +29,5 @@
    background thread and sends mail independently from requests.
 
-   By default in SIRP we have a fake mailer activated, that does not
+   By default in KOFA we have a fake mailer activated, that does not
    send real mail to the outside world.
   -->
Index: /main/waeup.kofa/trunk/src/waeup/kofa/meta.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/meta.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/meta.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Grokkers for SIRP components.
+"""Grokkers for KOFA components.
 
 Stuff in here is mainly taken from grok.meta, with some modifications
@@ -40,5 +40,5 @@
 from martian.error import GrokError
 from zope import component
-from waeup.sirp.interfaces import IObjectUpgradeEvent
+from waeup.kofa.interfaces import IObjectUpgradeEvent
 
 class IndexesGrokker(martian.InstanceGrokker):
@@ -61,5 +61,5 @@
             return False
 
-        subscriber = SIRPIndexesUpgradeSubscriber(
+        subscriber = KOFAIndexesUpgradeSubscriber(
             catalog_name, indexes, context, module_info)
         subscribed = (site, IObjectUpgradeEvent)
@@ -72,5 +72,5 @@
 
 
-class SIRPIndexesUpgradeSubscriber(IndexesSetupSubscriber):
+class KOFAIndexesUpgradeSubscriber(IndexesSetupSubscriber):
     """Helper that sets up indexes when their Grok site is upgraded.
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/meta.zcml
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/meta.zcml	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/meta.zcml	(revision 7811)
@@ -11,5 +11,5 @@
 
   <meta:directive
-      namespace="http://namespaces.waeup.org/sirp"
+      namespace="http://namespaces.waeup.org/kofa"
       name="datacenter"
       schema=".zcml.IDataCenterConfig"
Index: /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 7811)
@@ -22,17 +22,17 @@
 from zope.i18n import translate
 from zope.annotation.interfaces import IAnnotations
-from waeup.sirp.interfaces import IObjectHistory, ISIRPObject, ISIRPUtils
-from waeup.sirp.utils.helpers import get_current_principal
+from waeup.kofa.interfaces import IObjectHistory, IKOFAObject, IKOFAUtils
+from waeup.kofa.utils.helpers import get_current_principal
 
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import MessageFactory as _
 
 class ObjectHistory(grok.Adapter):
     """A history for objects.
 
-    For any object implementing `ISIRPObject` which is annotatable,
+    For any object implementing `IKOFAObject` which is annotatable,
     we provide histories. A history for such an object can be obtained
     by adapting it to `IObjectHistory`.
     """
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.implements(IObjectHistory)
 
@@ -68,9 +68,9 @@
         else:
             user = user.title
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
         by = 'by'
         if portal_language != 'en':
-            by = translate(_('by'),'waeup.sirp',target_language=portal_language)
-            msg = translate(msg,'waeup.sirp',target_language=portal_language)
+            by = translate(_('by'),'waeup.kofa',target_language=portal_language)
+            msg = translate(msg,'waeup.kofa',target_language=portal_language)
         msg = u'%s - %s %s %s' % (timestamp, msg, by, user)
         msgs.append(msg)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py	(revision 7811)
@@ -2,6 +2,6 @@
 """
 # Make this a package.
-from waeup.sirp.payments.container import PaymentsContainer
-from waeup.sirp.payments.payment import SCPayment, OnlinePayment
+from waeup.kofa.payments.container import PaymentsContainer
+from waeup.kofa.payments.payment import SCPayment, OnlinePayment
 
 __all__ = [
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py	(revision 7811)
@@ -21,6 +21,6 @@
 import grok
 from grok import index
-from waeup.sirp.payments.interfaces import IPaymentsContainer
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.payments.interfaces import IPaymentsContainer
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class PaymentsContainer(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7811)
@@ -18,8 +18,8 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.sirp.interfaces import ISIRPObject, SimpleSIRPVocabulary
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import IKOFAObject, SimpleKOFAVocabulary
+from waeup.kofa.interfaces import MessageFactory as _
 
-payment_states = SimpleSIRPVocabulary(
+payment_states = SimpleKOFAVocabulary(
     (_('Not yet paid'),'unpaid'),
     (_('Paid'),'paid'),
@@ -27,5 +27,5 @@
     )
 
-payment_categories = SimpleSIRPVocabulary(
+payment_categories = SimpleKOFAVocabulary(
     (_('School Fee'),'schoolfee'),
     (_('Clearance'),'clearance'),
@@ -37,10 +37,10 @@
     )
 
-class IPaymentsContainer(ISIRPObject):
+class IPaymentsContainer(IKOFAObject):
     """A container for all kind of payment objects.
 
     """
 
-class IPayment(ISIRPObject):
+class IPayment(IKOFAObject):
     """A base representation of payments.
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 7811)
@@ -22,8 +22,8 @@
 from datetime import datetime
 from grok import index
-from waeup.sirp.payments.interfaces import (
+from waeup.kofa.payments.interfaces import (
     IPayment, ISCPayment, IOnlinePayment,
     payment_states, payment_categories)
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class Payment(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py	(revision 7811)
@@ -20,10 +20,10 @@
 """
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.payments.interfaces import (
+from waeup.kofa.payments.interfaces import (
     IPaymentsContainer, ISCPayment, IOnlinePayment)
-from waeup.sirp.payments.container import PaymentsContainer
-from waeup.sirp.payments.payment import (
+from waeup.kofa.payments.container import PaymentsContainer
+from waeup.kofa.payments.payment import (
     SCPayment, OnlinePayment)
-from waeup.sirp.testing import (FunctionalLayer, FunctionalTestCase)
+from waeup.kofa.testing import (FunctionalLayer, FunctionalTestCase)
 
 class PaymentsContainerTestCase(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/permissions.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/permissions.py	(revision 7811)
@@ -20,5 +20,5 @@
 from zope.interface import Interface
 from zope.securitypolicy.interfaces import IRole, IPrincipalRoleMap
-from waeup.sirp.interfaces import ILocalRolesAssignable
+from waeup.kofa.interfaces import ILocalRolesAssignable
 
 class Public(grok.Permission):
@@ -168,11 +168,11 @@
 
 def get_waeup_roles(also_local=False):
-    """Get all SIRP roles.
-
-    SIRP roles are ordinary roles whose id by convention starts with
+    """Get all KOFA roles.
+
+    KOFA roles are ordinary roles whose id by convention starts with
     a ``waeup.`` prefix.
 
     If `also_local` is ``True`` (``False`` by default), also local
-    roles are returned. Local SIRP roles are such whose id starts
+    roles are returned. Local KOFA roles are such whose id starts
     with ``waeup.local.`` prefix (this is also a convention).
 
@@ -181,5 +181,5 @@
     for name, item in get_all_roles():
         if not name.startswith('waeup.'):
-            # Ignore non-SIRP roles...
+            # Ignore non-KOFA roles...
             continue
         if not also_local and name.startswith('waeup.local.'):
@@ -189,9 +189,9 @@
 
 def get_waeup_role_names():
-    """Get the ids of all SIRP roles.
-
-    See :func:`get_waeup_roles` for what a 'SIRPRole' is.
-
-    This function returns a sorted list of SIRP role names.
+    """Get the ids of all KOFA roles.
+
+    See :func:`get_waeup_roles` for what a 'KOFARole' is.
+
+    This function returns a sorted list of KOFA role names.
     """
     return sorted([x.id for x in get_waeup_roles()])
Index: /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/schema/__init__.py	(revision 7811)
@@ -1,3 +1,3 @@
-from waeup.sirp.schema.field import *
+from waeup.kofa.schema.field import *
 
 __all__ = tuple(name for name in globals() if not name.startswith('_'))
Index: /main/waeup.kofa/trunk/src/waeup/kofa/schema/tests/test_textlinechoice.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/schema/tests/test_textlinechoice.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/schema/tests/test_textlinechoice.py	(revision 7811)
@@ -25,5 +25,5 @@
     IVocabulary, ISource, IContextSourceBinder,)
 from zope.schema.tests.test_strfield import TextLineTest
-from waeup.sirp.schema import TextLineChoice
+from waeup.kofa.schema import TextLineChoice
 
 # Define some helper functions, classes, vars for tests
Index: /main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/schoolgrades.py	(revision 7811)
@@ -23,7 +23,7 @@
 from zope.schema.fieldproperty import FieldProperty
 from zope.schema import Object
-from waeup.sirp.interfaces import IResultEntry, IResultEntryField
-from waeup.sirp.widgets.objectwidget import (
-    SIRPObjectWidget, SIRPObjectDisplayWidget
+from waeup.kofa.interfaces import IResultEntry, IResultEntryField
+from waeup.kofa.widgets.objectwidget import (
+    KOFAObjectWidget, KOFAObjectDisplayWidget
     )
 
@@ -52,9 +52,9 @@
         return
 
-# register SIRPObjectWidgets as default widgets for IResultEntryFields
+# register KOFAObjectWidgets as default widgets for IResultEntryFields
 @grok.adapter(IResultEntryField, IBrowserRequest)
 @grok.implementer(IInputWidget)
 def result_entry_input_widget(obj, req):
-    return SIRPObjectWidget(obj, req, ResultEntry)
+    return KOFAObjectWidget(obj, req, ResultEntry)
 
 # register a display widget for IResultEntryFields
@@ -62,3 +62,3 @@
 @grok.implementer(IDisplayWidget)
 def result_entry_display_widget(obj, req):
-    return SIRPObjectDisplayWidget(obj, req, ResultEntry)
+    return KOFAObjectDisplayWidget(obj, req, ResultEntry)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/smtp.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/smtp.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/smtp.py	(revision 7811)
@@ -17,5 +17,5 @@
 ##
 """
-Email (SMTP) services for SIRP.
+Email (SMTP) services for KOFA.
 
 Note About Encodings
@@ -51,5 +51,5 @@
 from zope.component import getUtility
 from zope.sendmail.interfaces import IMailDelivery
-from waeup.sirp.interfaces import IMailService
+from waeup.kofa.interfaces import IMailService
 
 class DefaultMailService(grok.GlobalUtility):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/__init__.py	(revision 7811)
@@ -2,12 +2,12 @@
 """
 # Make this a package.
-from waeup.sirp.students.student import (
+from waeup.kofa.students.student import (
     Student, StudentFactory
     )
-from waeup.sirp.students.container import StudentsContainer
-from waeup.sirp.students.studycourse import StudentStudyCourse
-from waeup.sirp.students.payments import StudentPaymentsContainer
-from waeup.sirp.students.accommodation import StudentAccommodation
-from waeup.sirp.students.dynamicroles import StudentPrincipalRoleManager
+from waeup.kofa.students.container import StudentsContainer
+from waeup.kofa.students.studycourse import StudentStudyCourse
+from waeup.kofa.students.payments import StudentPaymentsContainer
+from waeup.kofa.students.accommodation import StudentAccommodation
+from waeup.kofa.students.dynamicroles import StudentPrincipalRoleManager
 
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py	(revision 7811)
@@ -23,8 +23,8 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.interfaces import academic_sessions_vocab
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.interfaces import academic_sessions_vocab
+from waeup.kofa.students.interfaces import (
     IStudentAccommodation, IStudentNavigation, IBedTicket)
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class StudentAccommodation(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/authentication.py	(revision 7811)
@@ -28,9 +28,9 @@
 from zope.publisher.interfaces.http import IHTTPRequest
 from zope.session.interfaces import ISession
-from waeup.sirp.authentication import (
-    SIRPPrincipalInfo, get_principal_role_manager)
-from waeup.sirp.interfaces import (
+from waeup.kofa.authentication import (
+    KOFAPrincipalInfo, get_principal_role_manager)
+from waeup.kofa.interfaces import (
     IAuthPluginUtility, IUserAccount, IPasswordValidator)
-from waeup.sirp.students.interfaces import IStudent
+from waeup.kofa.students.interfaces import IStudent
 
 class StudentAccount(grok.Adapter):
@@ -135,5 +135,5 @@
         if not account.checkPassword(credentials['password']):
             return None
-        return SIRPPrincipalInfo(id=account.name,
+        return KOFAPrincipalInfo(id=account.name,
                              title=account.title,
                              description=account.description,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 7811)
@@ -32,14 +32,14 @@
 from zope.catalog.interfaces import ICatalog
 from hurry.workflow.interfaces import IWorkflowState
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IBatchProcessor, FatalCSVError, IObjectConverter, IUserAccount,
     IObjectHistory)
-from waeup.sirp.students.interfaces import (
+from waeup.kofa.students.interfaces import (
     IStudent, IStudentStudyCourse,
     IStudentUpdateByRegNo, IStudentUpdateByMatricNo,
     IStudentStudyLevel, ICourseTicket,
     IStudentOnlinePayment)
-from waeup.sirp.students.workflow import  IMPORTABLE_STATES
-from waeup.sirp.utils.batching import BatchProcessor
+from waeup.kofa.students.workflow import  IMPORTABLE_STATES
+from waeup.kofa.utils.batching import BatchProcessor
 
 class StudentProcessor(BatchProcessor):
